#include "RHS.h"

// Calculate the RHS for the ode arising from similarity analysis of 
// the diffusion equation
// Upon entrance v[] contains current state of system
// Upon exit h[] contains the values of the RHS
int diffusionODE(double *v, double *H)
{
  H[0]=v[1];
  H[1]=-2.0*v[1]*v[2]+alpha*v[0];
  H[2]=1;
  return 0;
}
